ghc-7.0.3: The GHC API

Vectorise.Type.Type

Synopsis

- vectTyCon :: TyCon -> VM TyCon
- vectAndLiftType :: Type -> VM (Type, Type)
- vectType :: Type -> VM Type

# Documentation

vectTyCon :: TyCon -> VM TyCon Source

Vectorise a type constructor.

vectAndLiftType :: Type -> VM (Type, Type)Source

Produce the vectorised and lifted versions of a type.

vectType :: Type -> VM Type Source

Vectorise a type.